#!/usr/bin/perl -w

##  PROJECT HONEY POT MOVABLE TYPE PLUGIN COMPONENT
##  For more information visit: http://www.projecthoneypot.org/
##  Copyright (C) 2004, Unspam, LLC
##  
##  This program is free software; you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation; either version 2 of the License, or
##  (at your option) any later version.
##  
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##  
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
##  02111-1307  USA

use strict;
my($MT_DIR);
BEGIN {
	if ($0 =~ m!(.*[/\\])!) {
		$MT_DIR = $1;
	} else {
		$MT_DIR = './';
  	}
  	unshift @INC, $MT_DIR . 'lib';
	unshift @INC, $MT_DIR . 'plugins';
	unshift @INC, $MT_DIR . 'extlib';
}
eval {
	require projecthoneypot::admin;
	my $app = projecthoneypot::admin->new ( Config => $MT_DIR . 'mt.cfg', Directory => $MT_DIR ) or die projecthoneypot::admin->errstr;
	local $SIG{__WARN__} = sub { $app->trace ($_[0]) };
	$app->run;
};

if ($@) {  print "Content-Type: text/html\n\n";
  print "An error occurred: $@";
}


